<?php
/* Autoloader for sebastian/finder-facade and its dependencies */

$vendorDir = '/usr/share/php';
require_once $vendorDir . '/TheSeer/fDOMDocument/autoload.php';
// Use Symfony autoloader
if (!isset($fedoraClassLoader) || !($fedoraClassLoader instanceof \Symfony\Component\ClassLoader\ClassLoader)) {
    if (!class_exists('Symfony\\Component\\ClassLoader\\ClassLoader', false)) {
        require_once $vendorDir . '/Symfony/Component/ClassLoader/ClassLoader.php';
    }

    $fedoraClassLoader = new \Symfony\Component\ClassLoader\ClassLoader();
    $fedoraClassLoader->register();
}

$fedoraClassLoader->addPrefix('Symfony\\Component\\', $vendorDir);

spl_autoload_register(
  function($class) {
    static $classes = NULL;

    if ($classes === NULL) {
      $classes = array(
        'sebastianbergmann\\finderfacade\\configuration' => '/Configuration.php',
                'sebastianbergmann\\finderfacade\\finderfacade' => '/FinderFacade.php'
      );
    }

    $cn = strtolower($class);

    if (isset($classes[$cn])) {
      require __DIR__ . $classes[$cn];
    }
  }
);
